# na_cdot_lun – Manage NetApp cDOT luns

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.11

Why

  Updated modules released with increased functionality

Alternative

  Use na_ontap_lun instead.

## Synopsis

- Create, destroy, resize luns on NetApp cDOT.

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules were developed with Clustered Data ONTAP 8.3

- Ansible 2.2

- netapp-lib (2015.9.25). Install using ‘pip install netapp-lib’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
flexvol_name - |  | The name of the FlexVol the lun should exist on. Required when `state=present`.
force_remove - | Default: "no" | If "true", override checks that prevent a LUN from being destroyed if it is online and mapped. If "false", destroying an online and mapped LUN will fail.
force_remove_fenced - | Default: "no" | If "true", override checks that prevent a LUN from being destroyed while it is fenced. If "false", attempting to destroy a fenced LUN will fail. The default if not specified is "false". This field is available in Data ONTAP 8.2 and later.
force_resize - | Default: "no" | Forcibly reduce the size. This is required for reducing the size of the LUN to avoid accidentally reducing the LUN size.
hostname - / required |  | The hostname or IP address of the ONTAP instance.
name - / required |  | The name of the lun to manage.
password - / required |  | Password for the specified user. aliases: pass
size - |  | The size of the lun in `size_unit`. Required when `state=present`.

size_unit
-

Choices:
- bytes
- b
- kb
- mb
- gb ←
- tb
- pb
- eb
- zb
- yb

The unit used to interpret the size parameter.

state
- / required

Choices:
- present
- absent

Whether the specified lun should exist or not.

username - / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user
vserver - / required |  | The name of the vserver to use.

## Notes

Note

- The modules prefixed with na\_cdot are built to support the ONTAP storage platform.

## Examples

    - name: Create LUN
      na_cdot_lun:
        state: present
        name: ansibleLUN
        flexvol_name: ansibleVolume
        vserver: ansibleVServer
        size: 5
        size_unit: mb
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

    - name: Resize Lun
      na_cdot_lun:
        state: present
        name: ansibleLUN
        force_resize: True
        flexvol_name: ansibleVolume
        vserver: ansibleVServer
        size: 5
        size_unit: gb
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

## Status

- This module will be removed in version 2.11. [deprecated]

- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.